{% extends 'app.html.twig' %}

{% block app_title %}
    <h1 class="mb-5">{{ 'Two-Factor Verification'|trans }}</h1>
{% endblock %}

{% block app_body %}
    <p>{{ 'You have {count} backup codes available.'|trans({'count': backupCodesCount}) }}</p>

    {% if backupCodesCount > 0 %}
        <p>{{ 'For security reasons, your two-factor backup codes cannot be shown again.'|trans }}</p>

        <p>{{ 'However, you can generate new ones.'|trans }}</p>
    {% endif %}

    <form method="post" action="{{ path('backup-codes-2fa-regenerate') }}">
        <button class="btn btn-danger" type="submit">{{ 'Generate new backup codes'|trans }}</button>
    </form>
{% endblock %}
